@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;400;500;600;700;800;900&display=swap");

:root {
	--ff: "Poppins", sans-serif;
	--color-white: rgb(243, 243, 243);
	--color-darkblue: rgb(27, 27, 50);
	--color-darkblue-alpha: rgba(27, 27, 50, 0.8);
	--color-green: rgb(55, 175, 101);
}

*,
*::before,
*::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

body {
	font-family: var(--ff);
	font-size: 1rem;
	color: var(--color-white);
	line-height: 1.4;
	font-weight: 400;
}

body::before {
	content: "";
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-image: linear-gradient(
			115deg,
			rgba(58, 58, 158, 0.8),
			rgba(136, 136, 206, 0.7)
		),
		url(https://cdn.freecodecamp.org/testable-projects-fcc/images/survey-form-background.jpeg);
	z-index: -1;
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
}

h1,
p {
	margin-top: 0;
	margin-bottom: 0.5rem;
}

p {
	font-size: 1.125rem;
}

#title {
	font-weight: 400;
	line-height: 1.2;
}

#description {
	font-style: italic;
	font-weight: 200;
	text-shadow: rgba(0, 0, 0, 0.4);
}

label {
	display: flex;
	align-items: center;
	font-size: 1.125rem;
	margin-bottom: 0.5rem;
}

input,
button,
select,
textarea {
	margin: 0;
	font-family: inherit;
	font-size: inherit;
	line-height: inherit;
	border: none;
}

#name-label,
#email-label,
#number-label {
	display: block;
}
#name-label input,
#email-label input,
#number-label input {
	width: 100%;
	height: 2.25rem;
	border-radius: 0.25rem;
	margin-top: 0.5rem;
	padding: 0.25rem 0.8rem;
	font-size: 0.9xrem;
}

button {
	border: none;
}

.container {
	width: 100%;
	margin: 3.125rem auto 0 auto;
}

@media (min-width: 576px) {
	.container {
		max-width: 540px;
	}
}

@media (min-width: 768px) {
	.container {
		max-width: 720px;
	}
}

header {
	padding: 0 0.625rem;
	margin: 0 auto 1.875rem auto;
	text-align: center;
}

.clue {
	margin-left: 0.25rem;
	font-size: 0.9rem;
	color: #e4e4e4;
}

/* styling FORM */

form#survey-form {
	background: var(--color-darkblue-alpha);
	padding: 2.5rem;
	border-radius: 0.25rem;
}

@media (min-width: 480px) {
	form {
		padding: 2.5rem;
	}
}

.form-group {
	margin: 0 auto 1.25rem auto;
	padding: 0.25rem;
}

.form-control {
	display: block;
	width: 100%;
	height: 2.375rem;
	padding: 0.375rem 0.75rem;
	color: #495057;
	background-color: #fff;
	background-clip: padding-box;
	border: 1px solid #ced4da;
	border-radius: 0.25rem;
	transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.form-control:focus {
	border-color: #80bdff;
	outline: 0;
	box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

.input-radio,
.input-checkbox {
	display: inline-block;
	margin-right: 0.625rem;
	min-height: 1.25rem;
	min-width: 1.25rem;
}

.input-textarea {
	min-height: 120px;
	width: 100%;
	padding: 0.625rem;
	resize: vertical;
}

#submit {
	display: block;
	width: 100%;
	padding: 0.75rem;
	background: var(--color-green);
	color: inherit;
	border-radius: 2px;
	cursor: pointer;
}
